/* 在 "style.css" 文件中，替换你的现有 CSS 代码 */

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #fffbd1;
}

header {
    background-color: #ffcf82;
    padding: 1em;
    text-align: center;
    position: fixed; /* 固定页头 */
    width: 100%;
    z-index: 1000; /* 设置一个较高的 z-index 值，确保页头覆盖在其他元素之上 */
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li {
    display: inline-block;
    margin-right: 20px;
}

nav a {
    text-decoration: none;
    color: #333;
    font-weight: bold;
}

section {
    padding: 2em;
    padding-top: 30px; /* 为内容预留页头的高度，确保内容不会被页头遮挡 */
    text-align: center;
}

#home {
    padding-top: 130px;
}

#tools {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

#tools-list{
    width: 100%;
}

.tool-box {
    width: 26%;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    margin: 5px;
    cursor: pointer;
    transition: transform 0.1s ease-in-out, box-shadow 0.1s ease-in-out; /* 添加一个变换和阴影的效果 */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* 初始阴影效果 */
}

.tool-box:hover {
    /*transform: translateY(-5px);  向上移动 5 像素 */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2); /* 悬停时的阴影效果 */
    transform: translateY(-5px) perspective(1000px) rotateX(0) rotateY(0);
}


.tool-box img {
    max-width: 100%;
    max-height: 50px;
}

.tool-box h3 {
    font-size: 18px;
    margin: 4px 0px;
}

.tool-box p {
    color: #777;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* 半透明背景 */
}

.popup {
    width: 50%;
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background: #fff;
    z-index: 1;
}

.money_text{
    text-align: center;
}

.zhifubao{
    width: 48%;
}



/* 页脚内容 */

footer {
    font-size: 8px;
    background-color: #ffffff;
    text-align: center;
    padding: 5px; /* 调整页尾的 padding，设置页尾高度为 15px */
    margin-top: 10px; /* 调整页尾与内容之间的距离 */
}

footer p {
    margin: 0; /* 清除段落的上下边距 */
}
